-- Verify numerus:collection on pg

begin;

select collection_id
     , company_id
     , slug
     , description
     , collection_date
     , payment_account_id
     , amount
     , currency_code
     , tags
     , payment_status
     , created_at
from numerus.collection
where false;

select 1 / count(*) from pg_class where oid = 'numerus.collection'::regclass and relrowsecurity;
select 1 / count(*) from pg_policy where polname = 'company_policy' and polrelid = 'numerus.collection'::regclass;

rollback;
